<?php 

require_once ("../../config/Cado.php");

require_once("../cuentas/cSubcuenta.php");

$oSubcuenta = new cSubcuenta();

require_once("../formatos/formato.php");



if ($_POST['action_subcuentas']=="insertar") 

{

	if (!empty($_POST['txt_subcue_nom'])) 

	{			

		$oSubcuenta->insertar(

			$_POST['txt_subcue_cod'],

			$_POST['txt_subcue_nom'],

			$_POST['txt_subcue_ord'],

			$_POST['cmb_cue_id']			

		);



		echo "Se registró sub cuenta correctamente.";

		

	}

	else

	{

			echo "Intentelo nuevamente.";		

	}

	

}



if ($_POST['action_subcuentas']=="editar") 

{

	if (!empty($_POST['txt_subcue_nom'])) 

	{			

		$oSubcuenta->modificar(						

			$_POST['hdd_subcue_id'],

			$_POST['txt_subcue_cod'],

			$_POST['txt_subcue_nom'],

			$_POST['txt_subcue_ord'],

			$_POST['cmb_cue_id']			

		);



		echo 'Se Modificó sub cuenta correctamente.';

		

	}

	else

	{

		echo 'Intentelo nuevamente.';		

	}

	

}





if($_POST['action']=="eliminar_sub")

{

	if(!empty($_POST['id']))

	{		

		$oSubcuenta->eliminar_sub(

			$_POST['id'],

			'xac',

			'0'

		);



		echo 'Se eliminó sub cuenta correctamente.';

	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}

?>